package com.dcsoft.system.camera.domain;

import java.util.Date;

import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.dcsoft.common.core.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 视频预警对象 tb_camera_warn
 *
 * @author nichun
 * @date 2023-09-20
 */
public class TbCameraWarn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 视频 */

    private Long cameraId;

    @Excel(name = "视频")
    private String cameraName;

    /** 预警照片 */
    @Excel(name = "预警照片")
    private String imgs;

    /** 预警类型 */
    @Excel(name = "预警类型")
    private String type;

    /** 预警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "预警时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date warnTime;

    /** 是否预警提醒 */
    @Excel(name = "是否预警提醒")
    private String isDx;

    public String getCameraName() {
        return cameraName;
    }

    public void setCameraName(String cameraName) {
        this.cameraName = cameraName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCameraId(Long cameraId)
    {
        this.cameraId = cameraId;
    }

    public Long getCameraId()
    {
        return cameraId;
    }
    public void setImgs(String imgs)
    {
        this.imgs = imgs;
    }

    public String getImgs()
    {
        return imgs;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setWarnTime(Date warnTime)
    {
        this.warnTime = warnTime;
    }

    public Date getWarnTime()
    {
        return warnTime;
    }
    public void setIsDx(String isDx)
    {
        this.isDx = isDx;
    }

    public String getIsDx()
    {
        return isDx;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cameraId", getCameraId())
            .append("imgs", getImgs())
            .append("type", getType())
            .append("warnTime", getWarnTime())
            .append("isDx", getIsDx())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
